interface Config {
  baseUrl: string;
  api: { url: string };
  authIFrameUrl: string;
  localstorageKeys: {
    token: string;
  };
  webflow: {
    appId: string;
  };
}

const baseUrl = process.env.BASE_URL || "https://app.nocodelytics.com";

export const config: Config = {
  baseUrl,
  authIFrameUrl: `${baseUrl}/webflow-auth-iframe`,
  api: { url: baseUrl + "/api" },
  localstorageKeys: {
    token: process.env.LOCALSTORAGE_KEY_TOKEN || "nocodelytics:token", // allows you to easily switch between env or users for debugging
  },
  webflow: {
    appId: "64cd1cc2aa1df4ca56c397eb",
  },
};
