import { FieldPolicy, FieldReadFunction, TypePolicies, TypePolicy } from '@apollo/client/cache';
export type AdminReportKeySpecifier = ('users' | AdminReportKeySpecifier)[];
export type AdminReportFieldPolicy = {
	users?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CheckScriptHeaderResultsKeySpecifier = ('errorMessage' | 'found' | 'headerContent' | CheckScriptHeaderResultsKeySpecifier)[];
export type CheckScriptHeaderResultsFieldPolicy = {
	errorMessage?: FieldPolicy<any> | FieldReadFunction<any>,
	found?: FieldPolicy<any> | FieldReadFunction<any>,
	headerContent?: FieldPolicy<any> | FieldReadFunction<any>
};
export type CmsMetricValueKeySpecifier = ('name' | 'value' | 'webflowItemId' | CmsMetricValueKeySpecifier)[];
export type CmsMetricValueFieldPolicy = {
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>,
	webflowItemId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DashboardKeySpecifier = ('createdAt' | 'gridLayout' | 'id' | 'isPublic' | 'name' | 'organisationId' | 'siteId' | 'updatedAt' | DashboardKeySpecifier)[];
export type DashboardFieldPolicy = {
	createdAt?: FieldPolicy<any> | FieldReadFunction<any>,
	gridLayout?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	isPublic?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	organisationId?: FieldPolicy<any> | FieldReadFunction<any>,
	siteId?: FieldPolicy<any> | FieldReadFunction<any>,
	updatedAt?: FieldPolicy<any> | FieldReadFunction<any>
};
export type DashboardGridLayoutItemKeySpecifier = ('h' | 'id' | 'w' | 'x' | 'y' | DashboardGridLayoutItemKeySpecifier)[];
export type DashboardGridLayoutItemFieldPolicy = {
	h?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	w?: FieldPolicy<any> | FieldReadFunction<any>,
	x?: FieldPolicy<any> | FieldReadFunction<any>,
	y?: FieldPolicy<any> | FieldReadFunction<any>
};
export type FeaturesKeySpecifier = ('memberFilter' | FeaturesKeySpecifier)[];
export type FeaturesFieldPolicy = {
	memberFilter?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MeKeySpecifier = ('organisations' | 'user' | MeKeySpecifier)[];
export type MeFieldPolicy = {
	organisations?: FieldPolicy<any> | FieldReadFunction<any>,
	user?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MeOrganisationKeySpecifier = ('id' | MeOrganisationKeySpecifier)[];
export type MeOrganisationFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricKeySpecifier = ('breakdownBy' | 'chartData' | 'cssSelector' | 'dashboardId' | 'id' | 'metricType' | 'name' | 'path' | 'uniqueVisitor' | 'webflowCollectionId' | MetricKeySpecifier)[];
export type MetricFieldPolicy = {
	breakdownBy?: FieldPolicy<any> | FieldReadFunction<any>,
	chartData?: FieldPolicy<any> | FieldReadFunction<any>,
	cssSelector?: FieldPolicy<any> | FieldReadFunction<any>,
	dashboardId?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	metricType?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	path?: FieldPolicy<any> | FieldReadFunction<any>,
	uniqueVisitor?: FieldPolicy<any> | FieldReadFunction<any>,
	webflowCollectionId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricByValueKeySpecifier = ('name' | 'value' | MetricByValueKeySpecifier)[];
export type MetricByValueFieldPolicy = {
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricChartKeySpecifier = ('data' | 'delta' | 'fromCache' | 'lastSync' | 'name' | 'queryTime' | 'total' | MetricChartKeySpecifier)[];
export type MetricChartFieldPolicy = {
	data?: FieldPolicy<any> | FieldReadFunction<any>,
	delta?: FieldPolicy<any> | FieldReadFunction<any>,
	fromCache?: FieldPolicy<any> | FieldReadFunction<any>,
	lastSync?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	queryTime?: FieldPolicy<any> | FieldReadFunction<any>,
	total?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricChartDataKeySpecifier = ('name' | 'values' | MetricChartDataKeySpecifier)[];
export type MetricChartDataFieldPolicy = {
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	values?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricChartDataValuesKeySpecifier = ('label' | 'value' | MetricChartDataValuesKeySpecifier)[];
export type MetricChartDataValuesFieldPolicy = {
	label?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricEventKeySpecifier = ('cmsCollectionItemSlug' | 'cmsCollectionSlug' | 'cmsWebflowCollectionId' | 'cmsWebflowItemId' | 'createdAt' | 'cssClass' | 'cssId' | 'currentUrl' | 'deviceBrand' | 'deviceClientEngine' | 'deviceClientEngineVersion' | 'deviceClientName' | 'deviceClientType' | 'deviceClientVersion' | 'deviceId' | 'deviceModel' | 'deviceOsName' | 'deviceOsPlatform' | 'deviceOsVersion' | 'deviceType' | 'deviceUserAgent' | 'domain' | 'eventType' | 'formDisplayedAt' | 'formLastInteractionAt' | 'formSubmittedAt' | 'geoIpCity' | 'geoIpCountry' | 'geoIpEu' | 'geoIpLatitude' | 'geoIpLongitude' | 'geoIpRegion' | 'geoIpTimezone' | 'id' | 'ipAddress' | 'path' | 'referer' | 'siteId' | 'updatedAt' | 'value' | 'visitorId' | MetricEventKeySpecifier)[];
export type MetricEventFieldPolicy = {
	cmsCollectionItemSlug?: FieldPolicy<any> | FieldReadFunction<any>,
	cmsCollectionSlug?: FieldPolicy<any> | FieldReadFunction<any>,
	cmsWebflowCollectionId?: FieldPolicy<any> | FieldReadFunction<any>,
	cmsWebflowItemId?: FieldPolicy<any> | FieldReadFunction<any>,
	createdAt?: FieldPolicy<any> | FieldReadFunction<any>,
	cssClass?: FieldPolicy<any> | FieldReadFunction<any>,
	cssId?: FieldPolicy<any> | FieldReadFunction<any>,
	currentUrl?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceBrand?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceClientEngine?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceClientEngineVersion?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceClientName?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceClientType?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceClientVersion?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceId?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceModel?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceOsName?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceOsPlatform?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceOsVersion?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceType?: FieldPolicy<any> | FieldReadFunction<any>,
	deviceUserAgent?: FieldPolicy<any> | FieldReadFunction<any>,
	domain?: FieldPolicy<any> | FieldReadFunction<any>,
	eventType?: FieldPolicy<any> | FieldReadFunction<any>,
	formDisplayedAt?: FieldPolicy<any> | FieldReadFunction<any>,
	formLastInteractionAt?: FieldPolicy<any> | FieldReadFunction<any>,
	formSubmittedAt?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpCity?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpCountry?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpEu?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpLatitude?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpLongitude?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpRegion?: FieldPolicy<any> | FieldReadFunction<any>,
	geoIpTimezone?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	ipAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	path?: FieldPolicy<any> | FieldReadFunction<any>,
	referer?: FieldPolicy<any> | FieldReadFunction<any>,
	siteId?: FieldPolicy<any> | FieldReadFunction<any>,
	updatedAt?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>,
	visitorId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricValueKeySpecifier = ('date' | 'value' | MetricValueKeySpecifier)[];
export type MetricValueFieldPolicy = {
	date?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MetricValueResultsKeySpecifier = ('label' | 'values' | MetricValueResultsKeySpecifier)[];
export type MetricValueResultsFieldPolicy = {
	label?: FieldPolicy<any> | FieldReadFunction<any>,
	values?: FieldPolicy<any> | FieldReadFunction<any>
};
export type MutationKeySpecifier = ('checkScriptHeader' | 'createDashboard' | 'createMetric' | 'createToken' | 'deleteDashboard' | 'deleteMetric' | 'deleteSite' | 'findOrUpdateVisitor' | 'renewToken' | 'reportError' | 'resetCacheBySiteId' | 'sendMagicLink' | 'signIn' | 'signUpWithWebflow' | 'syncSiteWithWebflow' | 'syncWebflowSites' | 'updateDashboard' | 'updateMetric' | 'updateSiteById' | 'updateSiteGridLayout' | MutationKeySpecifier)[];
export type MutationFieldPolicy = {
	checkScriptHeader?: FieldPolicy<any> | FieldReadFunction<any>,
	createDashboard?: FieldPolicy<any> | FieldReadFunction<any>,
	createMetric?: FieldPolicy<any> | FieldReadFunction<any>,
	createToken?: FieldPolicy<any> | FieldReadFunction<any>,
	deleteDashboard?: FieldPolicy<any> | FieldReadFunction<any>,
	deleteMetric?: FieldPolicy<any> | FieldReadFunction<any>,
	deleteSite?: FieldPolicy<any> | FieldReadFunction<any>,
	findOrUpdateVisitor?: FieldPolicy<any> | FieldReadFunction<any>,
	renewToken?: FieldPolicy<any> | FieldReadFunction<any>,
	reportError?: FieldPolicy<any> | FieldReadFunction<any>,
	resetCacheBySiteId?: FieldPolicy<any> | FieldReadFunction<any>,
	sendMagicLink?: FieldPolicy<any> | FieldReadFunction<any>,
	signIn?: FieldPolicy<any> | FieldReadFunction<any>,
	signUpWithWebflow?: FieldPolicy<any> | FieldReadFunction<any>,
	syncSiteWithWebflow?: FieldPolicy<any> | FieldReadFunction<any>,
	syncWebflowSites?: FieldPolicy<any> | FieldReadFunction<any>,
	updateDashboard?: FieldPolicy<any> | FieldReadFunction<any>,
	updateMetric?: FieldPolicy<any> | FieldReadFunction<any>,
	updateSiteById?: FieldPolicy<any> | FieldReadFunction<any>,
	updateSiteGridLayout?: FieldPolicy<any> | FieldReadFunction<any>
};
export type OrganisationKeySpecifier = ('features' | 'id' | OrganisationKeySpecifier)[];
export type OrganisationFieldPolicy = {
	features?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>
};
export type PageInfoKeySpecifier = ('hasNextPage' | PageInfoKeySpecifier)[];
export type PageInfoFieldPolicy = {
	hasNextPage?: FieldPolicy<any> | FieldReadFunction<any>
};
export type PaginationKeySpecifier = ('hasMore' | 'total' | PaginationKeySpecifier)[];
export type PaginationFieldPolicy = {
	hasMore?: FieldPolicy<any> | FieldReadFunction<any>,
	total?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QueryKeySpecifier = ('adminReport' | 'chartData' | 'dashboard' | 'dashboardBySiteId' | 'eventTypes' | 'features' | 'maintenance' | 'me' | 'metric' | 'metricByValues' | 'metricTypes' | 'metricValues' | 'metricsByDashboardId' | 'metricsBySiteId' | 'organisation' | 'queueEvents' | 'site' | 'siteById' | 'siteByWebflowId' | 'siteHtmlElements' | 'sites' | 'stripeCustomerPortalLink' | 'users' | 'visitor' | 'visitors' | QueryKeySpecifier)[];
export type QueryFieldPolicy = {
	adminReport?: FieldPolicy<any> | FieldReadFunction<any>,
	chartData?: FieldPolicy<any> | FieldReadFunction<any>,
	dashboard?: FieldPolicy<any> | FieldReadFunction<any>,
	dashboardBySiteId?: FieldPolicy<any> | FieldReadFunction<any>,
	eventTypes?: FieldPolicy<any> | FieldReadFunction<any>,
	features?: FieldPolicy<any> | FieldReadFunction<any>,
	maintenance?: FieldPolicy<any> | FieldReadFunction<any>,
	me?: FieldPolicy<any> | FieldReadFunction<any>,
	metric?: FieldPolicy<any> | FieldReadFunction<any>,
	metricByValues?: FieldPolicy<any> | FieldReadFunction<any>,
	metricTypes?: FieldPolicy<any> | FieldReadFunction<any>,
	metricValues?: FieldPolicy<any> | FieldReadFunction<any>,
	metricsByDashboardId?: FieldPolicy<any> | FieldReadFunction<any>,
	metricsBySiteId?: FieldPolicy<any> | FieldReadFunction<any>,
	organisation?: FieldPolicy<any> | FieldReadFunction<any>,
	queueEvents?: FieldPolicy<any> | FieldReadFunction<any>,
	site?: FieldPolicy<any> | FieldReadFunction<any>,
	siteById?: FieldPolicy<any> | FieldReadFunction<any>,
	siteByWebflowId?: FieldPolicy<any> | FieldReadFunction<any>,
	siteHtmlElements?: FieldPolicy<any> | FieldReadFunction<any>,
	sites?: FieldPolicy<any> | FieldReadFunction<any>,
	stripeCustomerPortalLink?: FieldPolicy<any> | FieldReadFunction<any>,
	users?: FieldPolicy<any> | FieldReadFunction<any>,
	visitor?: FieldPolicy<any> | FieldReadFunction<any>,
	visitors?: FieldPolicy<any> | FieldReadFunction<any>
};
export type QueueEventKeySpecifier = ('cmsItemIndex' | 'cmsItemSlug' | 'cmsListIndex' | 'createdAt' | 'cssClass' | 'cssId' | 'domain' | 'eventType' | 'formStage' | 'id' | 'ip' | 'path' | 'referer' | 'siteId' | 'userAgent' | 'value' | 'visitorId' | QueueEventKeySpecifier)[];
export type QueueEventFieldPolicy = {
	cmsItemIndex?: FieldPolicy<any> | FieldReadFunction<any>,
	cmsItemSlug?: FieldPolicy<any> | FieldReadFunction<any>,
	cmsListIndex?: FieldPolicy<any> | FieldReadFunction<any>,
	createdAt?: FieldPolicy<any> | FieldReadFunction<any>,
	cssClass?: FieldPolicy<any> | FieldReadFunction<any>,
	cssId?: FieldPolicy<any> | FieldReadFunction<any>,
	domain?: FieldPolicy<any> | FieldReadFunction<any>,
	eventType?: FieldPolicy<any> | FieldReadFunction<any>,
	formStage?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	ip?: FieldPolicy<any> | FieldReadFunction<any>,
	path?: FieldPolicy<any> | FieldReadFunction<any>,
	referer?: FieldPolicy<any> | FieldReadFunction<any>,
	siteId?: FieldPolicy<any> | FieldReadFunction<any>,
	userAgent?: FieldPolicy<any> | FieldReadFunction<any>,
	value?: FieldPolicy<any> | FieldReadFunction<any>,
	visitorId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SiteKeySpecifier = ('collections' | 'createdAt' | 'dashboards' | 'domains' | 'eventSources' | 'gridLayout' | 'id' | 'isEnabled' | 'isPublic' | 'metrics' | 'name' | 'organisationId' | 'previewUrl' | 'shortName' | 'totalMetricsCount' | 'updatedAt' | 'webflowId' | SiteKeySpecifier)[];
export type SiteFieldPolicy = {
	collections?: FieldPolicy<any> | FieldReadFunction<any>,
	createdAt?: FieldPolicy<any> | FieldReadFunction<any>,
	dashboards?: FieldPolicy<any> | FieldReadFunction<any>,
	domains?: FieldPolicy<any> | FieldReadFunction<any>,
	eventSources?: FieldPolicy<any> | FieldReadFunction<any>,
	gridLayout?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	isEnabled?: FieldPolicy<any> | FieldReadFunction<any>,
	isPublic?: FieldPolicy<any> | FieldReadFunction<any>,
	metrics?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	organisationId?: FieldPolicy<any> | FieldReadFunction<any>,
	previewUrl?: FieldPolicy<any> | FieldReadFunction<any>,
	shortName?: FieldPolicy<any> | FieldReadFunction<any>,
	totalMetricsCount?: FieldPolicy<any> | FieldReadFunction<any>,
	updatedAt?: FieldPolicy<any> | FieldReadFunction<any>,
	webflowId?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SiteEdgeKeySpecifier = ('cursor' | 'node' | SiteEdgeKeySpecifier)[];
export type SiteEdgeFieldPolicy = {
	cursor?: FieldPolicy<any> | FieldReadFunction<any>,
	node?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SiteGridLayoutItemKeySpecifier = ('h' | 'id' | 'w' | 'x' | 'y' | SiteGridLayoutItemKeySpecifier)[];
export type SiteGridLayoutItemFieldPolicy = {
	h?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	w?: FieldPolicy<any> | FieldReadFunction<any>,
	x?: FieldPolicy<any> | FieldReadFunction<any>,
	y?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SiteHtmlElementKeySpecifier = ('html' | 'id' | 'text' | SiteHtmlElementKeySpecifier)[];
export type SiteHtmlElementFieldPolicy = {
	html?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	text?: FieldPolicy<any> | FieldReadFunction<any>
};
export type SitePaginatedKeySpecifier = ('edges' | 'pageInfo' | 'totalCount' | SitePaginatedKeySpecifier)[];
export type SitePaginatedFieldPolicy = {
	edges?: FieldPolicy<any> | FieldReadFunction<any>,
	pageInfo?: FieldPolicy<any> | FieldReadFunction<any>,
	totalCount?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UserKeySpecifier = ('createdAt' | 'email' | 'firstname' | 'id' | 'lastname' | UserKeySpecifier)[];
export type UserFieldPolicy = {
	createdAt?: FieldPolicy<any> | FieldReadFunction<any>,
	email?: FieldPolicy<any> | FieldReadFunction<any>,
	firstname?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	lastname?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UserEdgeKeySpecifier = ('cursor' | 'node' | UserEdgeKeySpecifier)[];
export type UserEdgeFieldPolicy = {
	cursor?: FieldPolicy<any> | FieldReadFunction<any>,
	node?: FieldPolicy<any> | FieldReadFunction<any>
};
export type UserPaginatedKeySpecifier = ('edges' | 'pageInfo' | 'totalCount' | UserPaginatedKeySpecifier)[];
export type UserPaginatedFieldPolicy = {
	edges?: FieldPolicy<any> | FieldReadFunction<any>,
	pageInfo?: FieldPolicy<any> | FieldReadFunction<any>,
	totalCount?: FieldPolicy<any> | FieldReadFunction<any>
};
export type VisitorKeySpecifier = ('city' | 'country' | 'device' | 'emailAddress' | 'events' | 'id' | 'initialReferer' | 'lastInteraction' | VisitorKeySpecifier)[];
export type VisitorFieldPolicy = {
	city?: FieldPolicy<any> | FieldReadFunction<any>,
	country?: FieldPolicy<any> | FieldReadFunction<any>,
	device?: FieldPolicy<any> | FieldReadFunction<any>,
	emailAddress?: FieldPolicy<any> | FieldReadFunction<any>,
	events?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	initialReferer?: FieldPolicy<any> | FieldReadFunction<any>,
	lastInteraction?: FieldPolicy<any> | FieldReadFunction<any>
};
export type VisitorEdgeKeySpecifier = ('cursor' | 'node' | VisitorEdgeKeySpecifier)[];
export type VisitorEdgeFieldPolicy = {
	cursor?: FieldPolicy<any> | FieldReadFunction<any>,
	node?: FieldPolicy<any> | FieldReadFunction<any>
};
export type VisitorPaginatedKeySpecifier = ('edges' | 'pageInfo' | 'totalCount' | VisitorPaginatedKeySpecifier)[];
export type VisitorPaginatedFieldPolicy = {
	edges?: FieldPolicy<any> | FieldReadFunction<any>,
	pageInfo?: FieldPolicy<any> | FieldReadFunction<any>,
	totalCount?: FieldPolicy<any> | FieldReadFunction<any>
};
export type WebflowCollectionKeySpecifier = ('fields' | 'id' | 'items' | 'name' | WebflowCollectionKeySpecifier)[];
export type WebflowCollectionFieldPolicy = {
	fields?: FieldPolicy<any> | FieldReadFunction<any>,
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	items?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type WebflowCollectionFieldsKeySpecifier = ('id' | 'name' | 'slug' | 'type' | WebflowCollectionFieldsKeySpecifier)[];
export type WebflowCollectionFieldsFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>,
	slug?: FieldPolicy<any> | FieldReadFunction<any>,
	type?: FieldPolicy<any> | FieldReadFunction<any>
};
export type WebflowCollectionItemsKeySpecifier = ('id' | 'name' | WebflowCollectionItemsKeySpecifier)[];
export type WebflowCollectionItemsFieldPolicy = {
	id?: FieldPolicy<any> | FieldReadFunction<any>,
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type WebflowSitesKeySpecifier = ('name' | WebflowSitesKeySpecifier)[];
export type WebflowSitesFieldPolicy = {
	name?: FieldPolicy<any> | FieldReadFunction<any>
};
export type StrictTypedTypePolicies = {
	AdminReport?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | AdminReportKeySpecifier | (() => undefined | AdminReportKeySpecifier),
		fields?: AdminReportFieldPolicy,
	},
	CheckScriptHeaderResults?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CheckScriptHeaderResultsKeySpecifier | (() => undefined | CheckScriptHeaderResultsKeySpecifier),
		fields?: CheckScriptHeaderResultsFieldPolicy,
	},
	CmsMetricValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | CmsMetricValueKeySpecifier | (() => undefined | CmsMetricValueKeySpecifier),
		fields?: CmsMetricValueFieldPolicy,
	},
	Dashboard?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DashboardKeySpecifier | (() => undefined | DashboardKeySpecifier),
		fields?: DashboardFieldPolicy,
	},
	DashboardGridLayoutItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | DashboardGridLayoutItemKeySpecifier | (() => undefined | DashboardGridLayoutItemKeySpecifier),
		fields?: DashboardGridLayoutItemFieldPolicy,
	},
	Features?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | FeaturesKeySpecifier | (() => undefined | FeaturesKeySpecifier),
		fields?: FeaturesFieldPolicy,
	},
	Me?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MeKeySpecifier | (() => undefined | MeKeySpecifier),
		fields?: MeFieldPolicy,
	},
	MeOrganisation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MeOrganisationKeySpecifier | (() => undefined | MeOrganisationKeySpecifier),
		fields?: MeOrganisationFieldPolicy,
	},
	Metric?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricKeySpecifier | (() => undefined | MetricKeySpecifier),
		fields?: MetricFieldPolicy,
	},
	MetricByValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricByValueKeySpecifier | (() => undefined | MetricByValueKeySpecifier),
		fields?: MetricByValueFieldPolicy,
	},
	MetricChart?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricChartKeySpecifier | (() => undefined | MetricChartKeySpecifier),
		fields?: MetricChartFieldPolicy,
	},
	MetricChartData?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricChartDataKeySpecifier | (() => undefined | MetricChartDataKeySpecifier),
		fields?: MetricChartDataFieldPolicy,
	},
	MetricChartDataValues?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricChartDataValuesKeySpecifier | (() => undefined | MetricChartDataValuesKeySpecifier),
		fields?: MetricChartDataValuesFieldPolicy,
	},
	MetricEvent?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricEventKeySpecifier | (() => undefined | MetricEventKeySpecifier),
		fields?: MetricEventFieldPolicy,
	},
	MetricValue?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricValueKeySpecifier | (() => undefined | MetricValueKeySpecifier),
		fields?: MetricValueFieldPolicy,
	},
	MetricValueResults?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MetricValueResultsKeySpecifier | (() => undefined | MetricValueResultsKeySpecifier),
		fields?: MetricValueResultsFieldPolicy,
	},
	Mutation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | MutationKeySpecifier | (() => undefined | MutationKeySpecifier),
		fields?: MutationFieldPolicy,
	},
	Organisation?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | OrganisationKeySpecifier | (() => undefined | OrganisationKeySpecifier),
		fields?: OrganisationFieldPolicy,
	},
	PageInfo?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | PageInfoKeySpecifier | (() => undefined | PageInfoKeySpecifier),
		fields?: PageInfoFieldPolicy,
	},
	Pagination?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | PaginationKeySpecifier | (() => undefined | PaginationKeySpecifier),
		fields?: PaginationFieldPolicy,
	},
	Query?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QueryKeySpecifier | (() => undefined | QueryKeySpecifier),
		fields?: QueryFieldPolicy,
	},
	QueueEvent?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | QueueEventKeySpecifier | (() => undefined | QueueEventKeySpecifier),
		fields?: QueueEventFieldPolicy,
	},
	Site?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SiteKeySpecifier | (() => undefined | SiteKeySpecifier),
		fields?: SiteFieldPolicy,
	},
	SiteEdge?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SiteEdgeKeySpecifier | (() => undefined | SiteEdgeKeySpecifier),
		fields?: SiteEdgeFieldPolicy,
	},
	SiteGridLayoutItem?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SiteGridLayoutItemKeySpecifier | (() => undefined | SiteGridLayoutItemKeySpecifier),
		fields?: SiteGridLayoutItemFieldPolicy,
	},
	SiteHtmlElement?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SiteHtmlElementKeySpecifier | (() => undefined | SiteHtmlElementKeySpecifier),
		fields?: SiteHtmlElementFieldPolicy,
	},
	SitePaginated?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | SitePaginatedKeySpecifier | (() => undefined | SitePaginatedKeySpecifier),
		fields?: SitePaginatedFieldPolicy,
	},
	User?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UserKeySpecifier | (() => undefined | UserKeySpecifier),
		fields?: UserFieldPolicy,
	},
	UserEdge?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UserEdgeKeySpecifier | (() => undefined | UserEdgeKeySpecifier),
		fields?: UserEdgeFieldPolicy,
	},
	UserPaginated?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | UserPaginatedKeySpecifier | (() => undefined | UserPaginatedKeySpecifier),
		fields?: UserPaginatedFieldPolicy,
	},
	Visitor?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | VisitorKeySpecifier | (() => undefined | VisitorKeySpecifier),
		fields?: VisitorFieldPolicy,
	},
	VisitorEdge?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | VisitorEdgeKeySpecifier | (() => undefined | VisitorEdgeKeySpecifier),
		fields?: VisitorEdgeFieldPolicy,
	},
	VisitorPaginated?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | VisitorPaginatedKeySpecifier | (() => undefined | VisitorPaginatedKeySpecifier),
		fields?: VisitorPaginatedFieldPolicy,
	},
	WebflowCollection?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | WebflowCollectionKeySpecifier | (() => undefined | WebflowCollectionKeySpecifier),
		fields?: WebflowCollectionFieldPolicy,
	},
	WebflowCollectionFields?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | WebflowCollectionFieldsKeySpecifier | (() => undefined | WebflowCollectionFieldsKeySpecifier),
		fields?: WebflowCollectionFieldsFieldPolicy,
	},
	WebflowCollectionItems?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | WebflowCollectionItemsKeySpecifier | (() => undefined | WebflowCollectionItemsKeySpecifier),
		fields?: WebflowCollectionItemsFieldPolicy,
	},
	WebflowSites?: Omit<TypePolicy, "fields" | "keyFields"> & {
		keyFields?: false | WebflowSitesKeySpecifier | (() => undefined | WebflowSitesKeySpecifier),
		fields?: WebflowSitesFieldPolicy,
	}
};
export type TypedTypePolicies = StrictTypedTypePolicies & TypePolicies;